import * as yup from 'yup'

export const affectationSchema = yup.object().shape({
  personnelType: yup.string().required('Le type de personnel est requis'),
  nomPersonnel: yup.string().required('Le nom du personnel est requis'),
})

export const attributionSchema = yup.object().shape({
  secteur: yup.string().nullable(),
  typeVehicule: yup.string().required('Le type de véhicule est requis'),
  numeroImmatriculation: yup.string().required('L\'immatriculation est requise'),
  dateAttribution: yup.date().required('La date d\'attribution est requise'),
  dateRestitution: yup.date().nullable(),
})